package definitions;

import entities.DirectReference;
import entities.SentenceStatement;
import entities.Statement;

public class Belief {
	
	private Statement statement;
	
	private Reference reference;

	public Statement getStatement() {
		return statement;
	}

	public void setStatement(Statement statement) {
		this.statement = statement;
	}

	public Reference getReference() {
		return reference;
	}

	public void setReference(Reference reference) {
		this.reference = reference;
	}

	public Belief(Statement statement, Reference reference) {
		this.statement = statement;
		this.reference = reference;
	}
	
	public Belief(Statement statement){
		this.statement=statement;
		this.reference=new DirectReference();
	}

	public Belief(String string) {
		this.statement=new SentenceStatement(string, Language.English);
		this.reference=new DirectReference();
	}

	@Override
	public String toString() {
		return "Belief [statement=" + statement + ", reference=" + reference
				+ "]";
	}
	
	

}
