package entities;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.MappedSuperclass;

import definitions.Language;
import definitions.Linguistic;


@MappedSuperclass
public abstract class LinguisticStatement extends Statement implements Linguistic{

	protected Language language;
	@Column
	@Basic
	public Language getLanguage() {
		return language;
	}
	
	public void setLanguage(Language language) {
		this.language = language;
	}

	
	
	
}
