package embeddables;

import javax.persistence.Basic;
import javax.persistence.Embeddable;

import definitions.Language;

@Embeddable
public class Sentence extends LinguisticObject{
	
	private String string;

	@Basic
	public String getString() {
		return string;
	}

	public void setString(String string) {
		this.string = string;
	}
	
	public Sentence(String string,Language language){
		
		this.string=string;
		this.language=language;
	}
	public String toString(){
		return this.string;
	}
	
	
	

}
