package entities;

import java.util.Date;

import javax.persistence.Basic;
import javax.persistence.Embeddable;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import definitions.Reference;




@Embeddable
public class DirectReference implements Reference{
	
	@Override
	public String toString() {
		return "DirectReference [time=" + time + "]";
	}



	
	private Date time;



	public DirectReference(Date time){
	
	
			this.time=time;
	}
	public DirectReference(){
		this.time=new Date();
	}
	
	@Temporal(value=TemporalType.TIMESTAMP)
	public Date getTime() {
		return time;
	}
	public void setTime(Date time) {
		this.time = time;
	}


}