package entities;


import java.util.ArrayList;
import java.util.List;

import javax.persistence.Embeddable;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import definitions.Reference;



@Embeddable
public class References{
	
	private List<Deduction> deductions;;
	private DirectReference directReference;
	
	public References(){
		this.deductions=new ArrayList<Deduction>();
		this.directReference=null;
	}
	
	
	@OneToMany
	public List<Deduction> getDeductions() {
		return deductions;
	}



	public void setDeductions(List<Deduction> deductions) {
		this.deductions = deductions;
	}



	@OneToOne
	public DirectReference getDirectReference() {
		return directReference;
	}



	public void setDirectReference(DirectReference directReference) {
		this.directReference = directReference;
	}
		
	
	public boolean hasDirectReference(){
		
			boolean has=true;	

			if(this.directReference==null){
	
				has=false;	
		
		
			}
			return has;

	}
	
	public boolean hasDeductions(){
		
		return (!this.deductions.isEmpty());
	}
	
	public boolean isEmpty(){
		
		boolean empty=true;
		
		if(this.hasDirectReference()||this.hasDeductions()){
			
			empty=false;
		}
		return empty;
	}
}

