package entities;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import javax.persistence.Embeddable;
import javax.persistence.OneToMany;

import definitions.Reference;



@Embeddable
public class Statements implements Reference{
	
	private List<Statement>list;

	
		

	

	
	public Statements(Statement...statements){
		this.list=Arrays.asList(statements);
		
		
	}
	
	public Statements(){
		this.list=new ArrayList<Statement>();
	}





	@OneToMany
	public List<Statement> getList() {
		return list;
	}







	public void setList(List<Statement> list) {
		this.list = list;
	}









	

}
